Skip to main content
GET
/
agent
/
queue
List Call Queue
curl --request GET \
  --url https://api.getoutbox.ai/agent/queue/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_name": "<string>",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_name": "<string>",
      "phone_number": "<string>",
      "agent_number": "<string>",
      "status": "<string>",
      "scheduled_at": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-User-Timezone
string

IANA timezone for formatting scheduled_at. Defaults to UTC.

Query Parameters

page
integer
default:1

1-indexed page (10 items per page).

Case-insensitive partial match against contact full name or phone number.

status
string
default:all

all | scheduled | insufficient_funds | any specific queue status (e.g. waiting, paused, complete).

Response

200 - application/json

Paginated queue page.

results
object[]
required
total
integer
required